Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Upgrade scalate to 1.5.3 #2

Merged
merged 1 commit into from

3 participants

@heralight

due to incompatible version with lift 2.5, upgrading is necessary.

Exception with actual version:
Message: org.fusesource.scalate.TemplateException: scala.runtime.RichInt.until(I)Lscala/collection/immutable/Range$ByOne;
org.fusesource.scalate.TemplateEngine.compileAndLoad(TemplateEngine.scala:775)
...........
Caught and thrown by:
Message: java.lang.NoSuchMethodError: scala.runtime.RichInt.until(I)Lscala/collection/immutable/Range$ByOne;
org.fusesource.scalate.support.AbstractCodeGenerator$AbstractSourceBuilder.$less$less(AbstractCodeGenerator.scala:45)
org.fusesource.scalate.support.AbstractCodeGenerator$AbstractSourceBuilder.generate(AbstractCodeGenerator.scala:105)

...........

@d6y
Owner
d6y commented

+1

@arashi01
@d6y d6y merged commit 90d95b6 into from
@d6y
Owner
d6y commented

Thank you for the contribution. This is now been built: https://liftmodules.ci.cloudbees.com/job/scalate/5/

It is published as 1.2-SNAPSHOT in the Sonatype SNAPSHOT repository against Lift 2.5-SNAPSHOT, and consequently can be found as:

"net.liftmodules" %% "scalate" % ("1.5-SNAPSHOT" + "-1.2-SNAPSHOT")

...and will be released as a non-SNAPSHOT version with Lift 2.5-M2 (assuming there will be a M2).

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Oct 7, 2012
  1. upgrade scalate to 1.5.3

    heralight authored
This page is out of date. Refresh to see the latest.
Showing with 2 additions and 2 deletions.
  1. +2 −2 build.sbt
View
4 build.sbt
@@ -4,7 +4,7 @@ organization := "net.liftmodules"
liftVersion <<= liftVersion ?? "2.5-SNAPSHOT"
-version <<= liftVersion apply { _ + "-1.1-SNAPSHOT" }
+version <<= liftVersion apply { _ + "-1.2-SNAPSHOT" }
scalaVersion := "2.9.2"
@@ -22,7 +22,7 @@ libraryDependencies <++= liftVersion { v =>
}
libraryDependencies <++= scalaVersion { sv =>
- "org.fusesource.scalate" % "scalate-core" % "1.4.1" ::
+ "org.fusesource.scalate" % "scalate-core" % "1.5.3" ::
"javax.servlet" % "servlet-api" % "2.5" % "provided" ::
(sv match {
case "2.9.2" | "2.9.1" | "2.9.1-1" => "org.scala-tools.testing" % "specs_2.9.1" % "1.6.9" % "test"
Something went wrong with that request. Please try again.